QGIS Application - Bug report #988
PostGIS: allow NULL in numeric columns
2008-03-12 03:32 PM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Data Provider

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11048
Description

Related to #987:

1. Edit a [[PostGIS]] table cell in a numeric column trying to make it NULL. Save changes.
Error:

ERROR: invalid input syntax for type double precision:

Same happens at saving changes when quiting digitizer.

Is there a reason QGIS doesn't allow null numeric table cells?

rg213

History

#1 - 2008-03-12 06:28 PM - Steven Mizuno
The problem with saving the null values is when sending the INSERT or UPDATE statement to the [[PostgreSQL]] database the value is quoted, which is

okay for numbers and must be for special values like 'NAN' or 'Infinity', but quotes with zero or more spaces is not accepted. The value needs to be NULL

(no quotes) or the comma separators with nothing but whitespace between.

#2 - 2008-03-13 11:43 AM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
